=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_install:
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/gnuradio/iqbalance/*.pyc
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/gnuradio/iqbalance/*.pyo
	dh_install
