=== debian/changelog ===
gr-iqbal (0.37.1.5.d4fd4d-2build1) utopic; urgency=medium

  * Rebuild against gnuradio 3.7.3.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 May 2014 10:35:16 +0100

gr-iqbal (0.37.1.5.d4fd4d-2) unstable; urgency=low

  * reduce boost dependencies to system and test components
  * add doxygen and python dependencies

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 18 Apr 2014 19:15:33 -0400

gr-iqbal (0.37.1.5.d4fd4d-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 01 Feb 2014 21:28:26 -0500

gr-iqbal (0.37.1.5.d4fd4d-1) unstable; urgency=low

  * latest upstream commit, use with gnuradio 3.7.2.1
    uses libosmo-dsp commit 59e29c

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 29 Dec 2013 10:56:16 -0500
