=== debian/changelog ===
gr-iqbal (0.37.2-7~bpo8+2) jessie-backports; urgency=medium

  * Re-Rebuild for jessie-backports
    (ensure build with gnuradio 3.7.10.1-1~bpo8+1 on non-amd64 arch)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Apr 2017 23:05:49 -0400

gr-iqbal (0.37.2-7~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 04 Sep 2016 10:27:21 -0400

gr-iqbal (0.37.2-7) unstable; urgency=medium

  * Breaks/Replaces older library packages (Closes: #830755, #830786)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Jul 2016 22:05:02 -0400

gr-iqbal (0.37.2-6) unstable; urgency=medium

  * update to v0.37.2-3-gdcd73fd
  * build with gnuradio 3.7.10

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Jul 2016 16:24:31 -0400

gr-iqbal (0.37.2-5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 25 Jan 2016 13:08:50 -0500

gr-iqbal (0.37.2-5) unstable; urgency=medium

  * build with gnuradio 3.7.9

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Jan 2016 11:10:28 -0500

gr-iqbal (0.37.2-4) unstable; urgency=medium

  * de-duplicate copyright entries

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 28 Nov 2015 22:29:28 -0500

gr-iqbal (0.37.2-3) unstable; urgency=medium

  * Lintian packaging cleanups

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Nov 2015 20:40:26 -0500

gr-iqbal (0.37.2-2) unstable; urgency=low

  * build with gnuradio 3.7.8

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Aug 2015 22:18:22 -0400

gr-iqbal (0.37.2-1) unstable; urgency=low

  * New upstream tag, update to v0.37.2-2-g44ab02f
  * build with gnuradio 3.7.5

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 03 Sep 2014 00:51:53 -0400

gr-iqbal (0.37.1.5.d4fd4d-3) unstable; urgency=low

  * rebuild with gnuradio 3.7.4

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 27 Aug 2014 01:06:34 -0400
