=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: libs
 Priority: extra
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>= 9), cmake, pkg-config, gnuradio-dev (>>3.7), libboost-dev,
+Build-Depends: debhelper (>= 9), cmake, pkg-config, gnuradio-dev (>>3.7.9.3), libboost-dev,
  libboost-system-dev, libboost-test-dev, libfftw3-dev, liblog4cpp5-dev, swig,
  python-dev, python-numpy, doxygen
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://cgit.osmocom.org/cgit/gr-iqbal/
-Vcs-Git: git://git.osmocom.org/gr-iqbal.git
+Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-iqbal.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-iqbal.git/
 
 Package: gr-iqbal
 Section: libdevel
 Architecture: any
-Pre-Depends: multiarch-support, ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgnuradio-iqbalance0 (=${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgnuradio-iqbalance3.7.10 (=${binary:Version})
 Description: GNU Radio Blind IQ imbalance estimator and correction
  The general idea is to suppress symmetrical images caused by IQ
  imbalance in the RX path of quadrature receivers.
@@ -32,10 +33,16 @@
  software achieve the same things (sdr# for eg, although there are
  significant differences in the actual implementation).
 
-Package: libgnuradio-iqbalance0
+Package: libgnuradio-iqbalance3.7.10
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gr-iqbal
-Description: GNU Radio Blind IQ imbalance estimator and correction
+Breaks: libgnuradio-iqbalance0
+Replaces: libgnuradio-iqbalance0
+Description: GNU Radio Blind IQ imbalance estimator and correction (runtime)
+ The general idea is to suppress symmetrical images caused by IQ
+ imbalance in the RX path of quadrature receivers.
+ It's composed of two subblocks:
+ .
  This package provides a shared library for gr-iqbal.
