=== debian/changelog ===
gr-iqbal (0.38-4) unstable; urgency=medium

  * depend upon dh-python since python3-dev no longer does (Closes: #948938)
    thanks peter!
  * also add depends on liborc-0.4-dev

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 14 Jan 2020 23:26:33 -0500

gr-iqbal (0.38-3) unstable; urgency=medium

  * Better description and fixed link (Closes: #927253)
  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Aug 2019 18:56:08 -0400

gr-iqbal (0.38-2) experimental; urgency=medium

  * Fix yaml syntax
  * sumbit patches upstream

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 25 Aug 2019 20:10:11 -0400

gr-iqbal (0.38-1) experimental; urgency=medium

  * New for gnuradio 3.8

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 16 Aug 2019 21:26:28 -0400

gr-iqbal (0.37.2-11) unstable; urgency=medium

  * Fix conflicts/replaces lines - thanks anbe (Closes: #880906)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 14 Nov 2017 23:44:07 -0500

gr-iqbal (0.37.2-10) unstable; urgency=medium

  * Add conflicts/replaces lines (Closes: #875787)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 16 Sep 2017 03:53:56 -0400

gr-iqbal (0.37.2-9) unstable; urgency=medium

  * install .pc file correctly (Closes: #875787)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Sep 2017 17:43:35 -0400

gr-iqbal (0.37.2-8) unstable; urgency=medium

  * build with gnuradio 3.7.11

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 03 Sep 2017 23:41:06 -0400
