=== debian/control ===
Source: gr-iqbal
Section: libs
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 12~),
               dh-python,
               doxygen,
               gnuradio-dev (>=3.8),
               graphviz,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libfftw3-dev,
               libgmp-dev,
               liblog4cpp5-dev,
               liborc-0.4-dev,
               pkg-config,
               python3-dev,
               python3-numpy,
               swig
Standards-Version: 4.4.0
Homepage: https://git.osmocom.org/gr-iqbal
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-iqbal
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-iqbal.git

Package: gr-iqbal
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnuradio-iqbalance3.8.0 (=${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: GNU Radio Blind IQ imbalance estimator and correction
 The general idea is to suppress symmetrical images caused by IQ
 imbalance in the RX path of quadrature receivers.
 It's composed of two subblocks:
 .
 "IQ Bal Fix": This applies the actual correction. to a complex
 stream. The correction parameters are only magnitude/phase and the
 actual correction algo is the same as applied in hardware in the USRP.
 You can either specify the correction parameters manually on the
 block, or send them via 'messages'.
 .
 "IQ Bal Optimize": This blocks tries to blindly detect the imbalance
 by minimizing the correlation between the left and right part of the
 spectrum. See the code for the "how it does it". The general idea is
 inspired from papers found on the internet and the way some SDR
 software achieve the same things (sdr# for eg, although there are
 significant differences in the actual implementation).

Package: libgnuradio-iqbalance3.8.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-iqbal
Breaks: libgnuradio-iqbalance0
Replaces: libgnuradio-iqbalance0
Description: GNU Radio Blind IQ imbalance estimator and correction (shared library)
 The general idea is to suppress symmetrical images caused by IQ
 imbalance in the RX path of quadrature receivers.
 It's composed of two subblocks: "IQ Bal Fix" and "IQ Bal Optimize".
 .
 This package provides a shared library for gr-iqbal.
