=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.(),\1,p')

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DCMAKE_BUILD_TYPE="Release"

override_dh_install:
	rm -rf debian/tmp/usr/lib/python3/dist-packages/gnuradio/iqbalance/*.pyc
	rm -rf debian/tmp/usr/lib/python3/dist-packages/gnuradio/iqbalance/*.pyo
	dh_install

get-orig-source:
	git clone git://git.osmocom.org/gr-iqbal
	cd gr-iqbal && git archive --format=tar --prefix=gr-iqbal-$(VER)/  $(GITREV) | xz > ../gr-iqbal_$(VER).orig.tar.xz
	rm -rf gr-iqbal
	git clone git://git.osmocom.org/libosmo-dsp
	cd libosmo-dsp && git archive --format=tar --prefix=libosmo-dsp-0.4.0/ 0.4.0 | xz > ../gr-iqbal_0.38.orig-libosmo-dsp.tar.xz
	rm -rf libosmo-dsp/.git
